/*
 * LEGAL NOTICE
 *
 * Copyright (c) 1994 WSC Investment Services, Inc.
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND WSC INVESTMENT SERVICES (WSCIS)
 * DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.  IN NO EVENT
 * SHALL WSCIS BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR 
 * CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS 
 * OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE 
 * OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE 
 * USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Users of this software agree to return to WSCIS any improvements 
 * or extensions that they make and grant WSCIS the rights to 
 * redistribute these changes.
 *
 * Export of this software is permitted only after complying with the
 * regulations of the U.S. Deptartment of Commerce relating to the
 * Export of Technical Data.
 */
#import <appkit/appkit.h>

@protocol HKGnatsAppDelegate
- (const char *)version;
@end

@interface HKGnatsReport : Object
{
	id sendPr;
	id categoryPop;
	id classPop;
	id priorityPop;
	id severityPop;
	id problemText;
	id summaryField;
	id submitterField;
	id organizationField;
	id confidentialSwitch;
	id reportToField;
	id problem;
	id possibleFix;
	id howToRepeat;
	id current;
	id controlMatrix;
	id panel;
	BOOL installedMenu;
	id categories;
}

// configure popup lists
- setCategoryPop:sender;
- setClassPop:sender;
- setPriorityPop:sender;
- setSeverityPop:sender;

// configure fields
- setSubmitterField:sender;
- setOrganizationField:sender;
- setReportToField:sender;

// actions
- clear:sender;
- submit:sender;
- showPanel:sender;
- change:sender;

// set these programatically
- setReportTo:(const char *)name;
- setSubmitterID:(const char *)name;

@end


	
